#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
Napisz funkcję common_chars(string1, string2), która zwraca alfabetycznie
uporządkowaną listę wspólnych liter z lańcuchów string1 i string2.
Oba napisy będą składać się wyłacznie z małych liter.
"""

def common_chars(string1, string2):
    string1_list = set([n for n in string1 if n != ' '])
    string2_list = set([n for n in string2 if n != ' '])
    common_letter_list = sorted([n for n in string1_list if n in string2_list and n != ' '])
    return common_letter_list


def tests(f):
    inputs = [["this is a string", "ala ma kota"]]
    outputs = [['a', 't']]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(common_chars))
