#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
Napisz funkcję pokemon_speak, która zamienia w podanym napisie co drugą literę
na wielką. Np. pokemon_speak('pokemon') powinno zwrócić 'PoKeMoN'.
"""


def pokemon_speak(text):
    text_list = []
    i = 0
    while i != len(text):
        text_list.append(text[i].upper())
        i += 1
        if i != len(text):
            text_list.append(text[i])
            i += 1
    text_list_joined = ''.join(text_list)
    return text_list_joined


def tests(f):
    inputs = [['pokemon'], ['do not want'], ['POKEMON']]
    outputs = ['PoKeMoN', 'Do nOt wAnT', 'POKEMON']

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(pokemon_speak))
